<template>
  <main>
    <div class="container-fluid">
      <div class="row">
        <div class="col-sm-5 registro-section-wrapper">
        
          <div class="brand-wrapper registro-logo">
            <div>
              <router-link :to="{ name: 'login' }">
                <a data-toggle="tooltip" title="Volver" href="javascript:void(0)">
                  <i 
                    class="fas fa-arrow-circle-left" 
                    style="font-size: 30px; color: white; text-shadow:2px 2px 4px #000000;"></i>
                </a>
              </router-link>
            </div>
            <center>
             <img :src="ruta + '/img/logo.png'"  width="120" height="110">
            </center>
          </div>
          <div class="login-wrapper my-auto">
            <a href="javascript:void(0)" @click="openModalAlcaldia">
                <button id="login" class="btn btn-block registro-btn">Alcaldia</button>
            </a>
            <a href="javascript:void(0)" @click="openModalColegio">
                <button type="" id="login" class="btn btn-block registro-btn">Institución Educativa</button>
            </a>
          </div>
          <modalAlcaldia/>
          <modalColegio/>
        </div>
        <div class="col-sm-7 px-0 d-none d-sm-block div-img">
          <img :src="ruta + '/img/Fondos/Opciones de Registro.png'" alt="login image" class="login-img">
          <footer class="main-footer footer">
              <h6>© Copyright 2021 | DIGIDOCS | Solumáticas GRM | Todos los derechos reservados |</h6>
            </footer>
        </div>
      </div>
    </div>
  </main>
</template>

<script>
import modalAlcaldia from './modals/modalAlcaldia';
import modalColegio from './modals/modalColegio';
export default {
  props: ['ruta'],
  components: {
    modalAlcaldia,
    modalColegio
  },
  methods: {
    openModalAlcaldia() {
      this.$root.$emit("bv::toggle::modal", "registroAlcaldia");
    },
    openModalColegio() {
      this.$root.$emit("bv::toggle::modal", "registroColegio");
    },
  }
}
</script>

<style>

</style>